<?php
date_default_timezone_set('America/Costa_Rica');
	
		include('../conexion.php'); 
$hoy=date("d-m-Y");
?>


<html>
	<head>
		<title>Principal</title>
	
			<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">



		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
	
         <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
  	<script type="text/javascript" src="../JsInputMask-master/input-mask.js" ></script>
		<script language="javascript">
		
	
		
		
		
		
		var miPopup
		function abreVentana(){
			miPopup = window.open("ver_proveedores.php","miwin","width=900,height=650,scrollbars=yes");
			validarfactura();
		}
		
				function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
		  
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
		
		
		}
		
		
		
			function validarfactura(){
			
			var numfac=document.getElementById("numfac").value;
			var cdgpro=document.getElementById("cdgpro").value;


			miPopup = window.open("Comprobar_Factura.php?numfac="+numfac+"&cdgpro="+cdgpro, "frame_datos3","width=900,height=90,scrollbars=yes");
			
				document.getElementById("numfac").value="";
				document.getElementById("cdgpro").focus();
				document.getElementById("cdgpro").select();
				}
					
							
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			

		
		
	
		function cancelar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function limpiar() {
			document.getElementById("formulario").reset();
		}
		
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		

function enfoque_inicial() {	

		document.getElementById("numfac").focus();
		document.getElementById("numfac").select();
		
	
		
		}
		
	
		
		
			function calcular_impuesto()
		{
			
				//	var subgra=document.getElementById("subgra").value;

	  //if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra= subgra.replace(",",""); } ;
		
		//	impuesto=subgra*1.13;
		//	impfac=impuesto-subgra;

		//	var original=parseFloat(impfac);
		//		var result=Math.round(original);
				
		//	document.getElementById("impfac").value=result;
			
		}
		
		
		function calcular_factura()
		{
				
		
				document.getElementById("totfac").value="";
				
					var impfac=document.getElementById("impfac").value;
					var subgra=document.getElementById("subgra").value;
					var subexe=document.getElementById("subexe").value;
					var desfactot=document.getElementById("desfactot").value;
					var flefac=document.getElementById("flefac").value;
					var otrfac=document.getElementById("otrfac").value;
	
				
				
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra= subgra.replace(",",""); } ;
  if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;}  else { subexe= subexe.replace(",",""); } ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac= impfac.replace(",",""); } ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  if (flefac==""){flefac=0; document.getElementById("flefac").value=0.00;}  else { flefac= flefac.replace(",",""); } ;
  if (otrfac==""){otrfac=0; document.getElementById("otrfac").value=0.00;}  else { otrfac= otrfac.replace(",",""); } ;

					
				
		totfac= (parseInt(subexe)+parseInt(subgra)-parseInt(desfactot)+parseInt(impfac)+parseInt(flefac)+parseInt(otrfac));
				
			
				
				var original=parseFloat(totfac);
				var result=Math.round(original);
			
				document.getElementById("totfac").value=totfac;
		
		
		}
		
			function validar()
			{
			
		  	if (confirm(" Factura Completa ? "))
			
				var mensaje="";
				if (document.getElementById("cdgpro").value=="") mensaje+="  - Codigo proveedor\n";
				if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del proveedor\n";
				if (document.getElementById("fecfac").value=="") mensaje+="  - Fecha de factura\n";
				if (document.getElementById("fecpro").value=="") mensaje+="  - Fecha de proceso\n";
				if (document.getElementById("totfac").value=="") mensaje+="  - Total de la factura\n";
				if (document.getElementById("totfac").value=="0") mensaje+="  - Total de la factura no puede ser 0\n";
				if (document.getElementById("totfac").value=="0.00") mensaje+="  - Total de la factura no puede ser 0\n";
				if (document.getElementById("numfac").value=="") mensaje+="  - Numero de la factura\n";
	
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
				} else {
				
				calcular_impuesto();
				calcular_factura();
				
					  dscpro.disabled=false;
					document.getElementById("formulario").submit();
						
				}
			}	
			
		
		 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecfac").value.split(/-/);
		parts.reverse();
		fecfac=parts.join('-');
		
	  var parts = document.getElementById("fecpro").value.split(/-/);
		parts.reverse();
		fecpro=parts.join('-');
		

	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fecfac);
	 date2 = new Date(fecpro); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fecfac !=""){
		
		
		 var fechaArr = fecfac.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha de la factura no puede ser mayor a la Actual ");
	document.getElementById("fecfac").value="";
	document.getElementById("fecfac").select();
	}

 }else{
  alert("Error fecha de factura incorrecta favor verifique");
  document.getElementById("fecfac").value="";
  document.getElementById("fecfac").select();
 }
 
	}
	
	
	
	if (fecpro !=""){	
	
	 
  var fechaArr = fecpro.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha de proceso no puede ser mayor a la Actual ");
	document.getElementById("fecpro").value="";
	document.getElementById("fecpro").select();;
	}
 
 
 }else{
  alert("Error fecha proceso incorrecta favor verifique");
  document.getElementById("fecpro").value="";
  document.getElementById("fecpro").select();
 }
	

	}
	

	}
	
	
	
jQuery(function($){	
		$("#fecfac").mask("99-99-9999");
		$("#fecpro").mask("99-99-9999");
		});

			
		

		</script>
	</head>
   
			<body onLoad=" enfoque_inicial(); nobackbutton(); ">
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				<div id="tituloForm" class="header">Modulo Ingresar Cuenta por Pagar</div>
			
				<p>&nbsp;</p>
				<form id="formulario" name="formulario" method="post" action="guardar_cxp.php" >
				<div id="formulario" class="contenidoCliente">
				<table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
                    <tr>
                      <td width="6%"></td>
                      <td width="15%">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="5"><div align="right"><span class="Estilo1">MODULO CXP </span></div></td>
                      <td><div align="center"></div></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td width="15%"> Factura </td>
                      <td><input NAME="numfac" autocomplete="off" type="text" class="cajaGrande" id="numfac" style='text-align:center;' onChange="validarfactura()" onFocus=" siguienteCampo ='cdgpro', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td><div align="center">Fecha</div></td>
                      <td><input name="fecfac" type="text" class="cajaGrande" readonly=""  id="fecfac"  maxlength="10" style='text-align:center;' value="<?php echo $hoy?>" onFocus="siguienteCampo ='fecpro', nombreForm ='formulario';"  onChange="comprobar_fechas()"></td>
                      <td><div align="center">Proceso</div></td>
                      <td><input name="fecpro" type="text" class="cajaGrande" id="fecpro"  maxlength="10" style='text-align:center;' value="<?php echo $hoy?>" onFocus="siguienteCampo ='cdgpro', nombreForm ='formulario';"   onChange="comprobar_fechas()"></td>
                      <input NAME="cdgprofac" class="cajaMedia" id="cdgprofac"   type="hidden" >
                      <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
                      <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
			
					     <input id="codfactura" name="codfactura" value="<?php echo $codfacturatmp?>" type="hidden">
                      <td width="13%">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Proveedor</td>
                      <td><input name="cdgpro" type="text" class="cajaGrande" id="cdgpro"   click="limpiarcaja()" style='text-align:center;' onChange="validarproveedor(),validarfactura()" autocomplete= "off"   onFocus=" siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td><img src="../img/Search_Male_User_Icon_32.png"  onClick="abreVentana()" title="Buscar proveedor" onMouseOver="style.cursor=cursor"></td>
                      <td colspan="4"><input name="dscpro" type="text" class="cajaGrande" id="dscpro"  maxlength="45" disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';"></td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Sub. Exento </td>
                      <td><input name="subexe" type="text" class="cajaGrande" id="subexe" style='text-align:right;' value="0.00"onkeypress="mascara(this,moneda) "  onBlur="calcular_factura();"   onFocus=" calcular_impuesto(); calcular_factura();    siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Sub. Gravado </td>
                      <td><input name="subgra" type="text" class="cajaGrande" id="subgra" style='text-align:right;' value="0.00" onKeyPress="mascara(this,moneda)"   onBlur="calcular_impuesto(); calcular_factura();"  onChange="calcular_impuesto();" onFocus=" calcular_impuesto(); calcular_factura();    siguienteCampo ='desfactot', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td><div align="left">Tipo</div></td>
                      <td><select id="combotipocxp" name="combotipocxp" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                        <?php
						
					  	 $query_tipocxp="SELECT * FROM tipo_cxp ORDER BY cdgcxp ASC";
                        $result = $mysqli->query($query_tipocxp) 
						?>
                        <?php
							while ($fila = $result->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgcxp"]?>"><?php echo  $fila["dsccxp"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td><div align="left">Descuento </div></td>
                      <td><input name="desfactot" type="text" class="cajaGrande" id="desfactot" style='text-align:right;' value="0.00" onKeyPress="mascara(this,moneda) "  onBlur="calcular_factura();"    onFocus="calcular_factura(); siguienteCampo ='impfac', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td><div align="left">Impuesto</div></td>
                      <td><input name="impfac" type="text" class="cajaGrande" id="impfac"  style='text-align:right;'  value="0.00" onKeyPress="mascara(this,moneda) "  onBlur="calcular_factura();"  onFocus="calcular_factura(); siguienteCampo ='flefac', nombreForm ='formulario';" ></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td><div align="left">Flete</div></td>
                      <td><input name="flefac" type="text" class="cajaGrande" id="flefac"  style='text-align:right;'  value="0.00" onKeyPress="mascara(this,moneda) "  onBlur="calcular_factura();" onFocus="calcular_factura(); siguienteCampo ='otrfac', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td><div align="left">Otros</div></td>
                      <td><input name="otrfac" type="text" class="cajaGrande" id="otrfac" autocomplete="off"  style='text-align:right;' value="0.00" onKeyPress="mascara(this,moneda) "  onBlur="calcular_factura();"   onFocus=" calcular_factura(); siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td>&nbsp;</td>
                      <td><div align="left">Total</div></td>
                      <td><input name="totfac" type="text" class="cajaGrande" id="totfac" onChange=" calcular_factura()"  readonly=""    value="0.00" style='text-align:right;'onFocus="siguienteCampo ='cdgbar', nombreForm ='formulario';"></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    <tr>
                      <td width="6%" height="22">&nbsp;</td>
                      <td width="15%">&nbsp;</td>
                      <td width	="14%">&nbsp;</td>
                      <td width="5%">&nbsp;</td>
                      <td width="8%">&nbsp;</td>
                      <td width="14%">&nbsp;</td>
                      <td width="9%">&nbsp;</td>
                      <td width="16%">&nbsp;</td>
                      <td width="13%">&nbsp;</td>
                  </table>
				</div>
					      <img src="../img/Symbol-Check_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Guardar Cambios" onClick="validar()" onMouseOver="style.cursor=cursor">
                          <img src="../img/Symbol-Refresh_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Limpiar" onClick="limpiar()" onMouseOver="style.cursor=cursor">
                          <img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Cancelar" onClick="cancelar()" onMouseOver="style.cursor=cursor">
					      <input id="accion" name="accion" value="alta" type="hidden">
			          <input id="id" name="Zid" value="" type="hidden">
			        <div id="botonBusqueda">
	  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
					
        			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
			  </form>
			  </div>
		  </div>
		</div>
	</body>
</html>
